> Dear Matt,
>=20
> Thank you very much for your reply.
> Let me quote what is happening with Net:NS.
> When I try to train bayes by entering for example:
>=20
> sa-learn --no-sync --spam --mbox /home/support/mail/Trash
>=20
> I get the following message:
>=20
> dns: Net:NS version is 0.31, but need 0.34 at
> /usr/lib/perl5/vendor_perl/5.8.0/Mail/SpamAssassin/Dns.pm
> line 588. Learned tokens from 12 message(s) (12
> message(s) examined)=20
>=20
> The weird thing is that when i am trying to update my
> Net:NS by typing:=20
>=20
> #perl -MCPAN -e shell
> cpan[1]>install Net:NS
>=20
> I get the message:
>=20
> CPAN: Storable loaded ok (v2.06)
> Going to read /root/.cpan/Metadata
> Database was generated on Thu, 27 Dec 2007 05:37:55 GMT
> Net:NS is up to date (0.61).
>=20
> ....which makes me believe that something is going wrong
> since the Net:NS version according the cpan is 0.61 and
> according the sa-learn is 0.31. Am I wrong?
>=20
> I will now check the X-Spam-Checker-Version header and
> try to go a bit deeper hoping that somewhere there the
> lightness lies. Thank you again for your help.
>=20
> Best Regards,
> Nikos


How many perls do you have in this machine? /usr/local/bin/perl in =
addition to /usr/bin/perl maybe? If you have installed perl via cpan, =
you may have two of them...